package commons.pfc;

import android.content.ComponentName;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.database.Cursor;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;

public class imagenes extends AndromediacommonsActivity {
	/** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_PORTRAIT);//No girar pantalla
        setContentView(R.layout.imagenes);
        Elegir_Foto();
    }
    private Uri selectedImage;
    private int SELECT_IMAGE = 1;

    private void Elegir_Foto()
    {	
        Intent intent = new Intent(Intent.ACTION_PICK, android.provider.MediaStore.Images.Media.INTERNAL_CONTENT_URI);
        intent.setType("image/*");
        startActivityForResult(intent, SELECT_IMAGE);  
    }
    
    @Override
    public void onActivityResult(int requestCode, int resultCode, Intent data) 
    {
      super.onActivityResult(requestCode, resultCode, data);
          ImageView imgPhoto = (ImageView) findViewById(R.id.imageView1);
      try
      {
	       selectedImage = data.getData();
	       datos.path = getPath(selectedImage);
	       datos.nom_imagen = Nombre_Imagen(datos.path);
	       imgPhoto.setImageURI(selectedImage);
       }
      catch(Exception e){}
    } 
    

    public void Click_Siguiente(View botton)
    {
    	Intent intent = new Intent();
    	intent.setComponent(new ComponentName(this, licencias.class));
		startActivity(intent);

    }
    
    private String Nombre_Imagen(String path)
    {
    	String[] desglose_ruta = path.split("/");

    	return  desglose_ruta[desglose_ruta.length -1];
    }
    
    private String getPath(Uri uri) {
    	 String[] projection = { android.provider.MediaStore.Images.Media.DATA };
    	 Cursor cursor = managedQuery(uri, projection, null, null, null);
    	 int column_index = cursor.getColumnIndexOrThrow(android.provider.MediaStore.Images.Media.DATA);
    	 cursor.moveToFirst();
    	 return cursor.getString(column_index);
    }  
}